(function(){

/////////////////////////////////////////////////////////////////////////
//                                                                     //
// shared/admin.js                                                     //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
                                                                       //
// Sandstorm - Personal Cloud Sandbox                                  //
// Copyright (c) 2014 Sandstorm Development Group, Inc. and contributors
// All rights reserved.                                                //
//                                                                     //
// Licensed under the Apache License, Version 2.0 (the "License");     //
// you may not use this file except in compliance with the License.    //
// You may obtain a copy of the License at                             //
//                                                                     //
//   http://www.apache.org/licenses/LICENSE-2.0                        //
//                                                                     //
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,   //
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.                                      //
                                                                       //
function serviceEnabled(name) {                                        // 17
  var setting = Settings.findOne({ _id: name });                       // 18
  return setting && !!setting.value;                                   // 19
}                                                                      //
                                                                       //
Accounts.identityServices.github = {                                   // 22
  isEnabled: function () {                                             // 23
    return serviceEnabled("github");                                   // 24
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 27
    name: "oauthLoginButton",                                          // 28
    priority: 1,                                                       // 29
    data: {                                                            // 30
      method: "loginWithGithub",                                       // 31
      name: "github",                                                  // 32
      displayName: "GitHub"                                            // 33
    }                                                                  //
  }                                                                    //
};                                                                     //
                                                                       //
Accounts.identityServices.google = {                                   // 38
  isEnabled: function () {                                             // 39
    return serviceEnabled("google");                                   // 40
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 43
    name: "oauthLoginButton",                                          // 44
    priority: 2,                                                       // 45
    data: {                                                            // 46
      method: "loginWithGoogle",                                       // 47
      name: "google",                                                  // 48
      displayName: "Google"                                            // 49
    }                                                                  //
  }                                                                    //
};                                                                     //
                                                                       //
Accounts.identityServices.email = {                                    // 54
  isEnabled: function () {                                             // 55
    return serviceEnabled("emailToken");                               // 56
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 59
    name: "emailLoginForm",                                            // 60
    priority: 10                                                       // 61
  }                                                                    //
};                                                                     //
                                                                       //
Accounts.identityServices.ldap = {                                     // 65
  isEnabled: function () {                                             // 66
    return serviceEnabled("ldap") && globalDb.isFeatureKeyValid();     // 67
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 70
    name: "ldapLoginForm",                                             // 71
    priority: 21 }                                                     // 72
};                                                                     //
                                                                       //
// Put it at the bottom of the list.                                   //
Accounts.identityServices.saml = {                                     // 76
  isEnabled: function () {                                             // 77
    return serviceEnabled("saml") && globalDb.isFeatureKeyValid();     // 78
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 81
    name: "samlLoginForm",                                             // 82
    priority: 20 }                                                     // 83
};                                                                     //
// Put it at the bottom of the list.                                   //
/////////////////////////////////////////////////////////////////////////

}).call(this);

//# sourceMappingURL=admin.js.map
